# Document

Patient records retrieved by the xCures platform and/or loaded by platform users.

## Create a Document

 - [POST /api/v1/patient-registry/document](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_create.md): Create a new document for a subject and get a signed URL to upload the document.

## Search Documents

 - [GET /api/v1/patient-registry/document](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_getall.md): Get a paginated list of documents for a subject.

## Get Document

 - [GET /api/v1/patient-registry/document/{documentId}](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_getbyid.md): Get a specific document by id.

## Update Document

 - [PUT /api/v1/patient-registry/document/{documentId}](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_update.md): Update a document.

## Publish Document

 - [PUT /api/v1/patient-registry/document/{documentId}/reciprocity](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_reciprocity.md): Publish a document for reciprocity to the EHR network. Can be used to update the template used for reciprocity as well. Note that the project's Reciprocity must be enabled and Requester Information and Encounter Information need to be properly set up in the Administration UI.

## Unpublish Document

 - [DELETE /api/v1/patient-registry/document/{documentId}/reciprocity](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_unpublish.md): Unpublish a document from reciprocity in the EHR network.

## Get Document PDF URL

 - [GET /api/v1/patient-registry/document/{documentId}/pdf](https://docs.xcures.com/apis/current/document/publicdocumentcontroller_getpdfbyid.md): Get a signed URL to download the PDF version of a document.

